Get the authenticated natural person
Account deactivation revokes personal API keys, including Agent Keys, and OAuth authorizations. Account reactivation requires new API keys, including new Agent Keys, and consent; previously issued credentials remain invalid.
In: header
Scope: eprospera:person.details.read
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/me/natural-person"{ "givenName": "string", "surname": "string", "name": "string", "residentPermitNumber": "string", "countryOfBirth": "string", "citizenships": [ "string" ], "dateOfBirth": "2019-08-24T14:15:22Z", "sex": "M", "address": { "country": "string", "line1": "string", "line2": "string", "city": "string", "state": "string", "postalCode": "string" }, "phoneNumber": "string"}Submit a partner residency application POST
Moves a Draft to `Pending Review`. Requires current agreement acceptance, proof of address, a paid invoice, and approved identity verification. Given name and surname must each contain 1–100 characters after trimming, beginning with a letter and containing only Unicode letters, combining marks, joiners, spaces, hyphens, apostrophes, middle dots or periods. Email addresses and numbers are invalid names. Obvious placeholder names require manual review. No request body; not idempotent.
Get ID-verification artifacts GET
Account deactivation revokes personal API keys, including Agent Keys, and OAuth authorizations. Account reactivation requires new API keys, including new Agent Keys, and consent; previously issued credentials remain invalid.